=== src/Docs/Makefile ===
TOPDIR=..
include $(TOPDIR)/wvrules.mk

all: 

clean:
	$(MAKE) -C sgmlmanual clean
