=== debian/changelog ===
wvstreams (3.70) unstable; urgency=high

  * Fix to WvPipe so that WvDial doesn't crash

  * Fix to WvString formatter to fix retchmail crasher

  * Various other fixes and cleanups. 

 -- Patrick Patterson <ppatters@debian.org>  Fri,  5 Apr 2002 13:39:21 -0500

wvstreams (3.69) unstable; urgency=low

  * Fix to make wvstreams compile without extra effort and environment
    variables

  * Fix to library includes to avoid linker problem

  * Patch from RedHat to make WvStreams 64 bit clean

  * Fix a buglet in WvLinkList that caused some breakage in WvDialConf

  * Debian Packaging Fixes

  * Initial Debian release (Closes: #134134)

 -- Patrick Patterson <ppatters@nit.ca>  Fri,  5 Apr 2002 13:39:11 -0500

libwvstreams3.60 (3.60f) unstable; urgency=low

  * Initial Release.

 -- Patrick Patterson <ppatters@nit.ca>  Tue,  9 Dec 1997 01:39:45 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "ppatters@nit.ca"
End:
