## wvstreams 4.3

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,19 @@
 include wvrules.mk
 override enable_efence=no
 
+ifneq (${_WIN32},)
+  $(error "Use 'make -f Makefile-win32' instead!")
+endif
+
 export WVSTREAMS
 
 XPATH=include
 
 include vars.mk
 
-all: config.mk xplc $(TARGETS)
+SUBDIRS = gnulib
+
+all: runconfigure xplc $(TARGETS)
 
 .PHONY: xplc xplc/clean install-xplc
 xplc:
@@ -32,23 +38,34 @@
 
 endif
 
-%.so: SONAME=$@.$(RELEASE)
-
 .PHONY: clean depend dust kdoc doxygen install install-shared install-dev install-xplc uninstall tests dishes dist distclean realclean test
 
 # FIXME: little trick to ensure that the wvautoconf.h.in file is there
 .PHONY: dist-hack-clean
 dist-hack-clean:
-	rm -f stamp-h.in
+	@rm -f stamp-h.in
+
+export AM_CFLAGS
+AM_CFLAGS=-fPIC
+gnulib/libgnu.a:
+	$(call subdirs_func,libgnu.a,gnulib)
+
+# Comment this assignment out for a release.
+ifdef PKGSNAPSHOT
+SNAPDATE=+$(shell date +%Y%m%d)
+endif
 
 dist-hook: dist-hack-clean configure
-	rm -rf autom4te.cache
-	if test -d .xplc; then \
-	    $(MAKE) -C .xplc clean patch; \
+	@rm -rf autom4te.cache
+	@if test -d .xplc; then \
+	    echo '--> Preparing XPLC for dist...'; \
+	    $(MAKE) -C .xplc clean patch && \
 	    cp -Lpr .xplc/build/xplc .; \
 	fi
-
-runconfigure: config.mk include/wvautoconf.h
+	@sed -e "s/@PKGVER@/$(PKGVER)$(SNAPDATE)/g" \
+	 redhat/wvstreams.spec.in > redhat/wvstreams.spec
+
+runconfigure: config.mk include/wvautoconf.h gnulib/Makefile
 
 ifndef CONFIGURING
 configure=$(error Please run the "configure" script)
@@ -62,26 +79,45 @@
 include/wvautoconf.h: include/wvautoconf.h.in
 	$(call configure)
 
+gnulib/Makefile: gnulib/Makefile.in
+	$(call configure)
+
 # FIXME: there is some confusion here
 ifdef WE_ARE_DIST
-configure: configure.ac config.mk.in include/wvautoconf.h.in
+aclocal.m4: $(wildcard gnulib/m4/*.m4) acinclude.m4
+	$(warning "$@" is old, please run "aclocal -I gnulib/m4")
+
+configure: configure.ac config.mk.in include/wvautoconf.h.in aclocal.m4
 	$(warning "$@" is old, please run "autoconf")
 
-include/wvautoconf.h.in: configure.ac
+include/wvautoconf.h.in: configure.ac aclocal.m4
 	$(warning "$@" is old, please run "autoheader")
 else
-configure: configure.ac
+aclocal.m4: $(wildcard gnulib/m4/*.m4) acinclude.m4
+	aclocal -I gnulib/m4
+	@touch $@
+
+configure: configure.ac include/wvautoconf.h.in aclocal.m4
+	autoconf
+	@rm -f config.mk include/wvautoconf.h gnulib/Makefile
+	@touch $@
+
+include/wvautoconf.h.in: configure.ac aclocal.m4
 	autoheader
-	autoconf
-
-include/wvautoconf.h.in:
-	autoheader
-endif
-
+	@touch $@
+endif
+
+ifeq ($(VERBOSE),)
+define wild_clean
+	@list=`echo $(wildcard $(1))`; \
+		test -z "$${list}" || sh -c "rm -rf $${list}"
+endef
+else
 define wild_clean
 	@list=`echo $(wildcard $(1))`; \
 		test -z "$${list}" || sh -cx "rm -rf $${list}"
 endef
+endif
 
 realclean: distclean
 	$(call wild_clean,$(REALCLEAN))
@@ -89,10 +125,15 @@
 
 distclean: clean
 	$(call wild_clean,$(DISTCLEAN))
+	@rm -rf autom4te.cache
+	@rm -f gnulib/Makefile
 	@rm -f pkgconfig/*.pc
 	@rm -f .xplc
 
 clean: depend dust xplc/clean
+	@if ! test -f gnulib/Makefile; then echo 'clean:' >gnulib/Makefile; fi
+	$(subdirs)
+	@if test `wc -c <gnulib/Makefile` = '7'; then rm gnulib/Makefile; fi
 	$(call wild_clean,$(TARGETS) uniconf/daemon/uniconfd \
 		$(GARBAGE) $(TESTS) tmp.ini \
 		$(shell find . -name '*.o' -o -name '*.moc'))
@@ -109,12 +150,16 @@
 doxygen:
 	doxygen
 
+ifeq ("$(with_readline)", "no")
 install: install-shared install-dev install-xplc install-uniconfd
+else
+install: install-shared install-dev install-xplc install-uniconfd install-wsd
+endif
 
 install-shared: $(TARGETS_SO)
 	$(INSTALL) -d $(DESTDIR)$(libdir)
 	for i in $(TARGETS_SO); do \
-	    $(INSTALL_PROGRAM) $$i.$(RELEASE) $(DESTDIR)$(libdir)/ ; \
+	    $(INSTALL_PROGRAM) $$i.$(SO_VERSION) $(DESTDIR)$(libdir)/ ; \
 	done
 	$(INSTALL) -d $(DESTDIR)$(sysconfdir)
 	$(INSTALL_DATA) uniconf/daemon/uniconf.conf $(DESTDIR)$(sysconfdir)/
@@ -128,10 +173,10 @@
 	done
 	cd $(DESTDIR)$(libdir) && for i in $(TARGETS_SO); do \
 	    rm -f $$i; \
-	    $(LN_S) $$i.$(RELEASE) $$i; \
+	    $(LN_S) $$i.$(SO_VERSION) $$i; \
 	done
 	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
-	$(INSTALL_DATA) $(wildcard pkgconfig/*.pc) $(DESTDIR)$(libdir)/pkgconfig
+	$(INSTALL_DATA) $(filter-out %-uninstalled.pc, $(wildcard pkgconfig/*.pc)) $(DESTDIR)$(libdir)/pkgconfig
 
 uniconfd: uniconf/daemon/uniconfd uniconf/daemon/uniconfd.ini \
           uniconf/daemon/uniconfd.8
@@ -147,10 +192,14 @@
 	$(INSTALL_DATA) uniconf/daemon/uniconfd.8 $(DESTDIR)$(mandir)/man8
 	$(INSTALL_DATA) uniconf/tests/uni.8 $(DESTDIR)$(mandir)/man8
 
+install-wsd: ipstreams/tests/wsd
+	$(INSTALL) -d $(DESTDIR)$(bindir)
+	$(INSTALL_PROGRAM) ipstreams/tests/wsd $(DESTDIR)$(bindir)/
+
 uninstall:
 	$(tbd)
 
-$(TESTS): $(LIBUNICONF)
+$(TESTS): $(LIBUNICONF) $(LIBWVTEST)
 $(addsuffix .o,$(TESTS)):
 tests: $(TESTS)
 
@@ -158,8 +207,10 @@
 
 -include $(shell find . -name '.*.d') /dev/null
 
-test: runconfigure all tests wvtestmain
-	LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$(WVSTREAMS_LIB)" $(WVTESTRUN) $(MAKE) runtests
+test: runconfigure all tests qtest
+
+qtest: runconfigure all wvtestmain
+	LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(WVSTREAMS_LIB)" $(WVTESTRUN) $(MAKE) runtests
 
 runtests:
 	$(VALGRIND) ./wvtestmain '$(TESTNAME)'
@@ -168,7 +219,8 @@
 	cd uniconf/tests && DAEMON=1 ./unitest.sh
 endif
 
-wvtestmain: wvtestmain.o \
-	$(call objects, $(shell find . -type d -name t)) \
-	$(LIBUNICONF) $(LIBWVSTREAMS)
-
+wvtestmain: \
+	$(call objects, $(filter-out ./Win32WvStreams/%, \
+		$(shell find . -type d -name t))) \
+	$(LIBUNICONF) $(LIBWVSTREAMS) $(LIBWVTEST)
+
