## wvstreams 4.4.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 WVSTREAMS=.
 WVSTREAMS_SRC= # Clear WVSTREAMS_SRC so wvrules.mk uses its WVSTREAMS_foo
+VPATH=$(libdir)
 include wvrules.mk
 override enable_efence=no
 
@@ -62,8 +63,6 @@
 	    $(MAKE) -C .xplc clean patch && \
 	    cp -Lpr .xplc/build/xplc .; \
 	fi
-	@sed -e "s/@PKGVER@/$(PKGVER)$(SNAPDATE)/g" \
-	 redhat/wvstreams.spec.in > redhat/wvstreams.spec
 
 runconfigure: config.mk include/wvautoconf.h gnulib/Makefile
 
@@ -177,6 +176,10 @@
 	done
 	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
 	$(INSTALL_DATA) $(filter-out %-uninstalled.pc, $(wildcard pkgconfig/*.pc)) $(DESTDIR)$(libdir)/pkgconfig
+	$(INSTALL) -d $(DESTDIR)$(bindir)
+	$(INSTALL) wvtesthelper wvtestmeter $(DESTDIR)$(bindir)
+	$(INSTALL) -d $(DESTDIR)$(libdir)/valgrind
+	$(INSTALL) wvstreams.supp $(DESTDIR)$(libdir)/valgrind
 
 uniconfd: uniconf/daemon/uniconfd uniconf/daemon/uniconfd.ini \
           uniconf/daemon/uniconfd.8
